Subject: Re: WARNING: suspicious RCU usage in tipc_l2_send_msg

From: syzbot <[email-masked]>
Date: Wed, 12 Aug 2020 04:53:05 -0700

syzbot has bisected this issue to:

commit 786a2aa281f4c4ba424ea8b8ea1e85ab62c4a57c
Author: Jarkko Sakkinen <[email-masked]>
Date:   Mon Jul 6 20:53:42 2020 +0000

    Revert commit e918e570415c ("tpm_tis: Remove the HID IFX0102")

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=12fc36d6900000
start commit:   4437dd6e Merge tag 'io_uring-5.8-2020-07-12' of git://git...
git tree:       upstream
final oops:     https://syzkaller.appspot.com/x/report.txt?x=11fc36d6900000
console output: https://syzkaller.appspot.com/x/log.txt?x=16fc36d6900000
kernel config:  https://syzkaller.appspot.com/x/.config?x=66ad203c2bb6d8b
dashboard link: https://syzkaller.appspot.com/bug?extid=47bbc6b678d317cccbe0
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=10c005af100000

Reported-by: [email-masked]
Fixes: 786a2aa281f4 ("Revert commit e918e570415c ("tpm_tis: Remove the HID IFX0102")")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection